* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}
/* site banner */
#banner {
  background: linear-gradient(rgba(0, 0, 0, 0.5), #009688),
    url("../Barber_Shop_img/banner.jpg");
  background-size: cover;
  background-position: center;
  height: 100vh;
}
/* site logo */
.logo {
  width: 140px;
  position: absolute;
  top: 4%;
  left: 10%;
}

/* banner text */
.banner-text {
  text-align: center;
  color: white;
  padding-top: 180px;
}

.banner-text h1 {
  font-size: 130px;
  font-family: "Kaushan Script", cursive;
}

.banner-text p {
  font-size: 20px;
  font-style: italic;
}

/* banner button */
.banner_btn {
  margin: 70px auto 0;
}
.banner_btn a {
  width: 150px;
  text-decoration: none;
  display: inline-block;
  margin: 0 10px;
  padding: 12px 0;
  color: white;
  border: 0.5px solid white;
  position: relative;
  z-index: 1;
  transition: color 0.5s;
}

.banner_btn a span {
  width: 0%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: white;
  z-index: -1;
  transition: 0.5s;
}

.banner_btn a:hover span {
  width: 100%;
}
.banner_btn a:hover {
  color: black;
}

#side_nav {
  width: 250px;
  height: 100vh;
  position: fixed;
  right: 0;
  top: 0;
  background: #009688;
  z-index: 2;
}

nav ul li {
  list-style: none;
  margin: 50px 20px;
}

nav ul li a {
  text-decoration: none;
  color: white;
}

#menu_btn {
  width: 50px;
  height: 50px;
  background: #009688;
  text-align: center;
  position: fixed;
  right: 30px;
  top: 20px;
  border-radius: 3px;
  z-index: 3;
  cursor: pointer;
}

#menu_btn img {
  width: 20px;
  margin-top: 15px;
}

/* features section  */
#features {
  width: 100%;
  padding: 70px 0;
}

.title_text {
  text-align: center;
  padding-bottom: 70px;
}

.title_text p {
  margin: auto;
  font-size: 20px;
  color: #009688;
  font-weight: bold;
  position: relative;
  z-index: 1;
  display: inline-block;
}

.title_text p::after {
  content: "";
  width: 50px;
  height: 35px;
  background: linear-gradient(#019587, #ffffff);
  position: absolute;
  top: -20px;
  left: 0;
  z-index: -1;
  transform: rotate(10deg);
  border-top-left-radius: 35px;
  border-bottom-right-radius: 35px;
}

.title_text h1 {
  font-size: 50px;
}

.feature_box {
  width: 80%;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  text-align: center;
}

.feature {
  flex-basis: 50%;
}
.feature_img {
  flex-basis: 50%;
  margin: auto;
}

.feature_img img {
  width: 70%;
  border-radius: 10px;
}

.feature h1 {
  text-align: left;
  margin-bottom: 10px;
  font-weight: 100;
  color: #009688;
}

.feature_description {
  display: flex;
  align-items: center;
  margin-bottom: 40px;
}

.feature_icon i {
  width: 50px;
  height: 50px;
  font-size: 30px;
  line-height: 50px;
  color: #009688;
  border: 1px solid #009688;
  border-radius: 8px;
}

.feature_text p {
  padding: 0 20px;
  text-align: initial;
}

/* service  */
#service {
  width: 100%;
  padding: 70px 0;
  background: #efefef;
}

.service_box {
  width: 80%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: auto;
}

.single_service {
  flex-basis: 48%;
  text-align: center;
  border-radius: 7px;
  margin-bottom: 20px;
  color: #ffffff;
  position: relative;
}

.single_service:hover .service_description {
  bottom: 40%;
  opacity: 1;
}

.single_service img {
  width: 100%;
  border-radius: 7px;
}

.overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  border-radius: 7px;
  cursor: pointer;
  background: linear-gradient(rgba(0, 0, 0, 0.5), #009688);
  opacity: 0;
  transition: 1s;
}

.single_service:hover .overlay {
  opacity: 1;
}

.service_description {
  width: 80%;
  position: absolute;
  bottom: 0;
  left: 50%;
  opacity: 0;
  transform: translateX(-50%);
  transition: 1s;
}

.service_description p {
  font-size: 14px;
}

hr {
  background: #ffffff;
  height: 2px;
  border: 0;
  margin: 15px auto;
  width: 60%;
}

/* testimonial */
#testimonial {
  width: 100%;
  padding: 70px 0;
}

.testimonial_row {
  width: 80%;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
}

.testimonial_col {
  flex-basis: 28%;
  padding: 10px;
  margin-bottom: 30px;
  border-radius: 5px;
  box-shadow: 0 10px 20px 3px #00968814;
  cursor: pointer;
  transition: transform 0.5s;
}

.testimonial_col p {
  font-size: 14px;
}

.user {
  display: flex;
  align-items: center;
  margin: 20px 0;
}

.user img {
  width: 40px;
  margin-right: 20px;
  border-radius: 3px;
}

.user_info .fa-brands {
  margin-left: 10px;
  color: #27c0ff;
  font-size: 20px;
}

.user_info small {
  color: #009688;
}

.testimonial_col:hover {
  transform: translateY(-7px);
}

/* footer */
#footer {
  padding: 100px 0 20px;
  background: #efefef;
  position: relative;
}

.footer_row {
  width: 80%;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.footer_left,
.footer_right {
  flex-basis: 45%;
  padding: 10px;
  margin-bottom: 20px;
}

.footer_right {
  text-align: right;
}

.footer_row h1 {
  margin: 10px 0;
}

.footer_row p {
  line-height: 35px;
}

.fa-regular,
.fa-solid {
  font-size: 20px;
  color: #009688;
  margin: 10px;
}

.footer_img {
  max-width: 370px;
  opacity: 0.1;
  position: absolute;
  left: 50%;
  top: 35%;
  transform: translate(-50%, -50%);
}

/* social links  */
.social_link {
  text-align: center;
}
.social_link .fa-brands {
  height: 40px;
  width: 40px;
  font-size: 30px;
  line-height: 40px;
  border: 1px solid #009688;
  margin: 40px 5px 0;
  color: #009688;
  cursor: pointer;
  transition: 0.5s;
}

.social_link .fa-brands:hover {
  background: #009688;
  color: #ffffff;
  transform: translateY(-7px);
}

.social_link p {
  font-size: 12px;
  margin-top: 20px;
}
/* responsive for mobile  */
@media screen and (max-width: 770px) {
  .banner-text h1 {
    font-size: 50px;
  }
  .banner_btn {
    display: block;
    margin: 20px auto;
  }

  .title_text h1 {
    font-size: 35px;
  }

  .feature {
    flex-basis: 100%;
  }
  .feature_img {
    flex-basis: 100%;
  }

  .feature_img img {
    width: 100%;
  }
  .single_service {
    flex-basis: 100%;
    margin-bottom: 30px;
  }
  .service_description p {
    font-size: 10px;
  }
  hr {
    margin: 5px auto;
  }

  .single_service:hover .service_description {
    bottom: 25% !important;
  }

  /* testimonial */
  .testimonial_col {
    flex-basis: 100%;
  }

  /* footer  */
  .footer_left,
  .footer_right {
    flex-basis: 100%;
    font-size: 14px;
  }

  .feature_img {
    top: 25%;
  }

  #footer_title {
    font-size: 25px;
  }
}
